const DEFAULT_LANGUAGE = 'en';
const SUPPORTED_LANGUAGES = ['hu', 'en'];
const TRANSLATIONS = {
    en: {
        notifications: 'Notifications',
        noMessages: 'Nothing new to see here yet',
        markAllAsRead: 'Mark all as read',
        markAsRead: 'Mark as read',
        markAsUnread: 'Mark as unread',
        removeMessage: 'Remove the message',
        next: 'Next',
        prev: 'Previous',
    },
    hu: {
        notifications: 'értesítéseket',
        noMessages: 'Itt még semmi újat nem látni',
        markAllAsRead: 'összes megjelölése olvasottként',
        markAsRead: 'Jelöld olvasottként',
        markAsUnread: 'Megjelölés olvasatlanként',
        removeMessage: 'Távolítsa el az üzenetet',
        next: 'Következő',
        prev: 'Előző',
    },
};
export const translate = (key, customLang, values) => {
    const lang = customLang;
    let translation = TRANSLATIONS[lang !== undefined && SUPPORTED_LANGUAGES.includes(lang)
        ? lang
        : DEFAULT_LANGUAGE][key];
    if (values !== undefined) {
        for (const [key, value] of Object.entries(values.values)) {
            const regex = new RegExp(`{${key}}`, 'g');
            translation = translation.replace(regex, value);
        }
    }
    return translation;
};
export const getTranslations = (url) => {
    // fetch url, get the data, replace the TRANSLATIONS content
    return new Promise((resolve) => {
        fetch(url)
            .then((res) => res.json())
            .then((data) => {
            Object.keys(data).forEach((item) => {
                for (let key in data[item]) {
                    TRANSLATIONS[item][key] = data[item][key];
                }
            });
            resolve(true);
        });
    });
};
